Package org.spongepowered.asm.util.asm

## Class MethodVisitorEx

- java.lang.Object
- - org.objectweb.asm.MethodVisitor
  - - org.spongepowered.asm.util.asm.MethodVisitorEx

    public class MethodVisitorEx
    extends org.objectweb.asm.MethodVisitor

MethodVisitor with some extra convenience functionality

### Field Summary

### Fields inherited from class org.objectweb.asm.MethodVisitor

`api, mv`

### Constructor Summary

Constructors
`MethodVisitorEx​(org.objectweb.asm.MethodVisitor mv)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `visitConstant​(byte constant)` Visit a byte constant instruction.

### Methods inherited from class org.objectweb.asm.MethodVisitor

`getDelegate, visitAnnotableParameterCount, visitAnnotation, visitAnnotationDefault, visitAttribute, visitCode, visitEnd, visitFieldInsn, visitFrame, visitIincInsn, visitInsn, visitInsnAnnotation, visitIntInsn, visitInvokeDynamicInsn, visitJumpInsn, visitLabel, visitLdcInsn, visitLineNumber, visitLocalVariable, visitLocalVariableAnnotation, visitLookupSwitchInsn, visitMaxs, visitMethodInsn, visitMethodInsn, visitMultiANewArrayInsn, visitParameter, visitParameterAnnotation, visitTableSwitchInsn, visitTryCatchAnnotation, visitTryCatchBlock, visitTypeAnnotation, visitTypeInsn, visitVarInsn`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MethodVisitorEx

    public MethodVisitorEx​(org.objectweb.asm.MethodVisitor mv)

### Method Detail

#### visitConstant

    public void visitConstant​(byte constant)

Visit a byte constant instruction. The most specific constant instruction will be used where possible

Parameters:
  `constant` - constant value to visit